"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.repairJson = exports.validateJson = exports.fixJson = void 0;
const jsonValidator_1 = require("./utils/jsonValidator");
Object.defineProperty(exports, "validateJson", { enumerable: true, get: function () { return jsonValidator_1.validateJson; } });
const jsonRepair_1 = require("./utils/jsonRepair");
Object.defineProperty(exports, "repairJson", { enumerable: true, get: function () { return jsonRepair_1.repairJson; } });
const types_1 = require("./types");
function fixJson(jsonString) {
    try {
        const repairedJson = (0, jsonRepair_1.repairJson)(jsonString);
        if ((0, jsonValidator_1.validateJson)(repairedJson)) {
            return repairedJson;
        }
        else {
            throw new types_1.JsonParseError('Invalid JSON after repair', 0, 0);
        }
    }
    catch (error) {
        if (error instanceof types_1.JsonParseError) {
            throw error;
        }
        else {
            throw new Error('Unable to fix JSON');
        }
    }
}
exports.fixJson = fixJson;
//# sourceMappingURL=index.js.map